Bug 7952 - (int-154161) GTalk contact offline text is shown in conversion even if contact is back online
(int-154161)
: GTalk contact offline text is shown in conversion even if contact is back online
Status: VERIFIED FIXED
Product: Chat & Call & SMS
Messaging
: 5.0/(3.2010.02-8)
: N900 Maemo
: Unspecified normal with 1 vote (vote)
: 5.0/(10.2010.19-1)
Assigned To: rtcomm@maemo.org
: im-chat-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-14 11:35 UTC by Janne Kolehmainen
Modified: 2010-05-26 08:23 UTC (History)
2 users (show)

See Also:


Attachments
Picture showing conversation full of offline messages. (44.63 KB, image/png)
2010-01-15 10:55 UTC, Janne Kolehmainen
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Janne Kolehmainen (reporter) 2010-01-14 11:35:22 UTC
SOFTWARE VERSION:
2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Start conversation with the person
2. Contact go offline. 
3. Status icon turns from green to gray.
4. Contact offline text is shown
5. Contact go online.
6. Status icon turns from gray to green

EXPECTED OUTCOME:
Either contact offline should be removed or contact online text should be
added.
One possibility would be so that the status icon is only thing that is shown
and if one tries to send message when contact is offline message is shown in
the screen.

ACTUAL OUTCOME:
Contact offline text is shown at the last row.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
I didn't notice this behaviour in the 1.2009.42-11 version. 

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7)
Gecko/20091221 Firefox/3.5.7 (.NET CLR 3.5.30729)
Comment 1 Janne Kolehmainen (reporter) 2010-01-14 16:06:06 UTC
Those contact offline texts are written allways when contact goes offline. So
if you have conversation open without writing anything you could have whole
page filled with contact offline messages. These messages will go away if you
close the conversation and open it again.
Comment 2 Janne Kolehmainen (reporter) 2010-01-15 10:55:59 UTC
Created an attachment (id=1987) [details]
Picture showing conversation full of offline messages.
Comment 3 Andre Klapper maemo.org 2010-01-21 19:50:40 UTC
Thanks for reporting this.

This is missing an exact testcase to reproduce, especially which kind of IM
service/protocol was used here.
Also, this really always happens?
Comment 4 Janne Kolehmainen (reporter) 2010-01-21 21:35:18 UTC
(In reply to comment #3)

I have been using gtalk. It has been tested with another N900 and also with
user using gmail webpage to use gtalk.

Bug can be seen when user changes state between online and invisible/offline.
Comment 5 Janne Kolehmainen (reporter) 2010-01-21 22:20:55 UTC
(In reply to comment #4)
> (In reply to comment #3)

This same behaviour can be seen with Skype also.

I installed skype to my computer and used second account to verify this. Just
changing online to offline and back fills up the screen.
Comment 6 Andre Klapper maemo.org 2010-01-22 14:50:00 UTC
Thanks! Skype is already known and handled in another bug report here.
Comment 7 Venomrush 2010-03-24 00:58:31 UTC
Any updates from internal comments if this has been fixed for PR1.2?
Bug has been idle for 2 months..
Comment 8 Andre Klapper maemo.org 2010-04-24 18:32:07 UTC
This has been fixed in package
rtcom-messaging-ui 1.2.21-1+0m5
which is part of the internal build version
10.2010.06-14
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.

Two changes were made in conversation view:
1) "Contact is offline" event messages are are no longer displayed
2) Messages that are sent to offline contact are marked with "OFFLINE" string
next to timestamp

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 9 Janne Kolehmainen (reporter) 2010-05-26 08:23:37 UTC
This is verified to work.